package com.tuoheng.admin.enums.code.inspectionfilehandle;

/**
 *  任务问题处理返回码
 *      模块代码：25（问题管理）
 *      接口代码：01 （任务问题处理）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-09
 */
public enum InspectionFileProcessingCodeEnum {

    PROCESSING_IS_FAILED(1250100, "处理失败"),
    WORK_ORDER_ID_IS_NULL(1250101, "工单id为空"),
    WORK_ORDER_IS_NOT_EXIST(1250102, "工单不存在"),
    INSPECTION_FILE_ID_IS_NULL(1250103, "任务问题id为空"),
    INSPECTION_FILE_IS_NOT_EXIST(1250104, "任务问题不存在"),
    INSPECTION_FILE_Handle_IS_EXIST(1250105, "该问题已处理");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    InspectionFileProcessingCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
